/* Copyright 2005 Red Hat, Inc.
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _KUDZU_PS3_H_
#define _KUDZU_PS3_H_

#include "device.h"

struct ps3Device {
    /* common fields */
    struct device *next;	/* next device in list */
    int index;
    enum deviceClass type;	/* type */
    enum deviceBus bus;		/* bus it's attached to */
    char * device;		/* device file associated with it */
    char * driver;		/* driver to load, if any */
    char * desc;		/* a description */
    int detached;
    void * classprivate;
    /* ps3-specific fields */
    struct ps3Device *(*newDevice) (struct ps3Device *dev);
    void (*freeDevice) (struct ps3Device *dev);
    void (*writeDevice) (FILE *file, struct ps3Device *dev);
    int (*compareDevice) (struct ps3Device *dev1, struct ps3Device *dev2);
};

struct ps3Device *ps3NewDevice(struct ps3Device *dev);
struct device *ps3Probe(enum deviceClass probeClass, int probeFlags,
			struct device *devlist);

#endif
